Bug 996186 - Review Request: python-argh - Unobtrusive argparse wrapper with natural syntax
Review Request: python-argh - Unobtrusive argparse wrapper with natural syntax
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 11:25 EDT by Björn 'besser82' Esser
Modified: 2016-08-14 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-argh-0.23.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 19:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rrati: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Björn 'besser82' Esser 2013-08-12 11:25:30 EDT
Description:

  Building a command-line interface? Found yourself uttering “argh!” while
  struggling with the API of argparse?  Don’t want to lose its power but don’t
  need the complexity?

  python-argh provides a wrapper for argparse.  Argparse is a very
  powerful tool; python-argh just makes it easy to use.


Koji Builds:

  el5:  no builds for RHEL5, guys; this needs Python >= 2.6
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5808832
  F18:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5808834
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5808836
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5808838


rpmlint (installed pkgs, rawhide):

  python-argh.noarch: W: spelling-error Summary(en_US) argparse -> sparse,
  parsec, parse
  python-argh.noarch: W: spelling-error %description -l en_US argparse ->
  sparse, parsec, parse
  python-argh.noarch: W: spelling-error %description -l en_US Argparse ->
  Sparse, Parsec, Parse
  1 packages and 0 specfiles checked; 0 errors, 3 warnings.


fedora-review:

  no issues found by automatic tests


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/python-argh.spec
  SRPM URL: http://besser82.fedorapeople.org/review/python-argh-0.23.2-1.fc19.src.rpm

#####

Thanks for review in advance!
Comment 1 Robert Rati 2013-08-12 16:16:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 19 files have unknown
     license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-argh-0.23.2-1.fc20.noarch.rpm
python-argh.noarch: W: spelling-error Summary(en_US) argparse -> sparse, parsec, parse
python-argh.noarch: W: spelling-error %description -l en_US argparse -> sparse, parsec, parse
python-argh.noarch: W: spelling-error %description -l en_US Argparse -> Sparse, Parsec, Parse
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-argh
python-argh.noarch: W: spelling-error Summary(en_US) argparse -> sparse, parsec, parse
python-argh.noarch: W: spelling-error %description -l en_US argparse -> sparse, parsec, parse
python-argh.noarch: W: spelling-error %description -l en_US Argparse -> Sparse, Parsec, Parse
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-argh (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-argh:
    python-argh



Source checksums
----------------
https://pypi.python.org/packages/source/a/argh/argh-0.23.2.tar.gz :
  CHECKSUM(SHA256) this package     : 7e7b41f7d6156da42e9643deea78fff09adb80672cd4d7e3da6d12a27d94407b
  CHECKSUM(SHA256) upstream package : 7e7b41f7d6156da42e9643deea78fff09adb80672cd4d7e3da6d12a27d94407b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 996186 -m fedora-rawhide-x86_64


APPROVED
Comment 2 Björn 'besser82' Esser 2013-08-12 16:20:19 EDT
Thanks for the review, Rob!

#####

New Package SCM Request
=======================
Package Name: python-argh
Short Description: Unobtrusive argparse wrapper with natural syntax
Owners: besser82
Branches: el6 f18 f19
InitialCC:
Comment 3 Gwyn Ciesla 2013-08-13 08:52:27 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-08-13 09:25:09 EDT
python-argh-0.23.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-argh-0.23.2-1.el6
Comment 5 Fedora Update System 2013-08-13 09:25:34 EDT
python-argh-0.23.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-argh-0.23.2-1.fc18
Comment 6 Fedora Update System 2013-08-13 09:26:10 EDT
python-argh-0.23.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-argh-0.23.2-1.fc19
Comment 7 Fedora Update System 2013-08-14 22:57:59 EDT
python-argh-0.23.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-08-23 19:54:33 EDT
python-argh-0.23.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-08-23 20:02:09 EDT
python-argh-0.23.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-09-01 14:47:02 EDT
python-argh-0.23.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.